
import redis
import random

def random_key_generator(prefix, size=10):
    """
    Generate a random key with a given prefix and size.
    """
    def generate_key():
        chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'
        return prefix + ''.join(random.choice(chars) for _ in range(size))
    
    return generate_key()

